SAP Knowledge Base Article - Preview

3018874 - DB6: 'GLIBC_2.14' not found error when running R3trans

Symptom

R3trans command fails due to the following error:ERROR => unable to load DB2 library '/usr/sap/ABC/SYS/global/db6/LINUXX86_64/db6_clidriver/lib/libdb2.so'.

Reason: /lib64/libc.so.6: version 'GLIBC_2.14' not found
(required by /usr/sap/ABC/SYS/global/db6/LINUXX86_64/db6_clidriver/lib/libdb2.so)


4 ETW000 [ dev trc,00000] *** ERROR in getConfigurationAndEnvironmentHandle[/bas/753_REL/src/dbs/db6/dbdb6.c, 13660]
4 ETW000 [ dev trc,00000] &+ DbSlConnectDB6: Unable to load DB2 libraries. Connect failed


Read more...

Environment

  • SAP on IBM Db2 for Linux
  • IBM Db2 10.5 or higher

Keywords

'GLIBC_2.14', not found, R3trans , KBA , BC-DB-DB6-INS , Installation SAP System , BC-DB-DB6-DBA , Database Administration , How To

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.